import { RetentionStrategy } from "../api";
import { AbstractNodeChannel } from "./AbstractNodeChannel";
import { LogChannel, LogMessage } from "typescript-logging";
import { NodeChannelOptions } from "../api/NodeChannelOptions";
/**
 * Node Channel implementation of type LogChannel.
 */
export declare class NodeLogChannel extends AbstractNodeChannel implements LogChannel {
    constructor(retentionStrategy: RetentionStrategy, options?: NodeChannelOptions);
    get type(): "LogChannel";
    write(msg: LogMessage): void;
}
//# sourceMappingURL=NodeLogChannel.d.ts.map