/// <reference types="node" />
/// <reference types="node" />
import * as fs from "fs";
/**
 * Returns Dirent (files) within given directory that match given matcher function
 * @param directory Directory to check (must exist)
 * @param encoding Encoding to use
 * @param fnMatch Called for each file/directory
 */
export declare function listFiles(directory: string, encoding: BufferEncoding, fnMatch: (fileName: fs.Dirent) => boolean): fs.Dirent[];
//# sourceMappingURL=FileUtils.d.ts.map