import { AbstractNodeChannel } from "./AbstractNodeChannel";
import { RawLogChannel, RawLogMessage } from "typescript-logging";
import { RetentionStrategy } from "../api/RetentionStrategy";
import { NodeChannelOptions } from "../api/NodeChannelOptions";
/**
 * Node Channel implementation of type RawLogChannel.
 */
export declare class NodeRawLogChannel extends AbstractNodeChannel implements RawLogChannel {
    private readonly _writeRawLogMessage;
    constructor(retentionStrategy: RetentionStrategy, writeRawLogMessage: (msg: RawLogMessage, formatArg: (arg: unknown) => string) => string, options?: NodeChannelOptions);
    get type(): "RawLogChannel";
    write(msg: RawLogMessage, formatArg: (arg: unknown) => string): void;
}
//# sourceMappingURL=NodeRawLogChannel.d.ts.map